Index: EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.c	(revision 429)
@@ -1,8 +1,7 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2016-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -52,18 +51,10 @@
  *  テストプログラムの開始（受け口関数）
  */
-void
+ER
 eTestService_start(const char *progname)
 {
 	syslog_1(LOG_NOTICE, "Test program: %s", progname);
 	VAR_check_count = 0U;
-}
-
-/*
- *	自己診断関数の設定
- */
-void
-eTestService_setBuiltInTest(Descriptor(sBuiltInTest) desc)
-{
-	cBuiltInTest_set_descriptor(desc);
+	return(E_OK);
 }
 
@@ -87,5 +78,5 @@
  *	チェックポイント（受け口関数）
  */
-void
+ER
 eTestService_checkPoint(uint_t count)
 {
@@ -133,4 +124,5 @@
 	 */
 	SIL_UNL_INT();
+	return(E_OK);
 }
 
@@ -138,5 +130,5 @@
  *	完了チェックポイント（受け口関数）
  */
-void
+ER
 eTestService_finishPoint(uint_t count)
 {
@@ -146,4 +138,5 @@
 	}
 	test_finish();
+	return(E_OK);
 }
 
@@ -151,5 +144,5 @@
  *	条件チェックのエラー処理（受け口関数）
  */
-void
+ER
 eTestService_assertError(const char *expr, const char *file, int_t line)
 {
@@ -157,15 +150,5 @@
 												expr, file, line);
 	test_finish();
-}
-
-/*
- *	エラーコードチェックのエラー処理（受け口関数）
- */
-void
-eTestService_serviceError(ER ercd, const char *file, int_t line)
-{
-	syslog_3(LOG_ERROR, "## Unexpected error %s detected at %s:%u.\007",
-										itron_strerror(ercd), file, line);
-	test_finish();
+	return(E_OK);
 }
 
@@ -174,4 +157,16 @@
  */
 ER
+eTestService_serviceError(ER ercd, const char *file, int_t line)
+{
+	syslog_3(LOG_ERROR, "## Unexpected error %s detected at %s:%u.\007",
+										itron_strerror(ercd), file, line);
+	test_finish();
+	return(E_OK);
+}
+
+/*
+ *	割込み優先度マスクの取得（受け口関数）
+ */
+ER
 eTestService_getInterruptPriorityMask(PRI *p_ipm)
 {
Index: EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.cdl	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestService.cdl	(revision 429)
@@ -1,8 +1,7 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2016-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -46,4 +45,5 @@
  *  自己診断サービスのシグニチャ
  */
+[callback]
 signature sBuiltInTest {
 	ER		builtInTest(void);
@@ -52,8 +52,4 @@
 /*
  *  テストプログラム用サービスのシグニチャ
- *
- *  setBuiltInTestは，TECSの中では動的結合を使って実現すべきであるが，
- *  C言語のアプリケーションから呼び出しやすくするために，TECSの作法違
- *  反のコードとなっている．
  *
  *  getInterruptPriorityMaskは，そのままカーネルを呼び出すだけの関数で
@@ -64,11 +60,10 @@
  */
 signature sTestService {
-	void	start([in, string] const char *progname);
-	void	setBuiltInTest([in] Descriptor(sBuiltInTest) desc);
-	void	checkPoint([in] uint_t count);
-	void	finishPoint([in] uint_t count);
-	void	assertError([in, string] const char *expr,
+	ER		start([in, string] const char *progname);
+	ER		checkPoint([in] uint_t count);
+	ER		finishPoint([in] uint_t count);
+	ER		assertError([in, string] const char *expr,
 							[in, string] const char *file, [in] int_t line);
-	void	serviceError([in] ER ercd,
+	ER		serviceError([in] ER ercd,
 							[in, string] const char *file, [in] int_t line);
 	ER		getInterruptPriorityMask([out] PRI *p_ipm);
@@ -80,7 +75,7 @@
 [singleton, active]
 celltype tTestService {
-	entry		sTestService	eTestService;
-	[dynamic, optional] call	sBuiltInTest	cBuiltInTest;
-	call		sSysLog			cSysLog;
+	entry				sTestService	eTestService;
+	call				sSysLog			cSysLog;
+	[optional] call		sBuiltInTest	cBuiltInTest;
 
 	var {
@@ -88,19 +83,2 @@
 	};
 };
-
-/*
- *  自己診断サービスのディスクリプタを取得するシグニチャ
- */
-signature sGetBuiltInTestDescriptor {
-	ER		getDescriptor([out] Descriptor(sBuiltInTest) *p_desc,
-														[in] int_t i);
-};
-
-/*
- *  自己診断サービスのディスクリプタを取得するセルタイプ
- */
-[singleton, active]
-celltype tBuiltInTestAdaptor {
-	[ref_desc] call	sBuiltInTest				cBuiltInTest[];
-	entry			sGetBuiltInTestDescriptor	eGetBuiltInTestDescriptor;
-};
Index: EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.c	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.c	(revision 429)
@@ -0,0 +1,99 @@
+/*
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
+ * 
+ *  Copyright (C) 2017-2018 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  $Id$
+ */
+
+/*
+ *		テストプログラム用サービスのアダプタ
+ */
+
+#include "tTestServiceAdapter_tecsgen.h"
+#include "test_svc.h"
+
+/*
+ *  テストプログラムの開始
+ */
+void
+test_start(const char *progname)
+{
+	(void) cTestService_start(progname);
+}
+
+/*
+ *	チェックポイント
+ */
+void
+check_point(uint_t count)
+{
+	(void) cTestService_checkPoint(count);
+}
+
+/*
+ *	完了チェックポイント
+ */
+void
+check_finish(uint_t count)
+{
+	(void) cTestService_finishPoint(count);
+}
+
+/*
+ *	条件チェック
+ */
+void
+check_assert_error(const char *expr, const char *file, int_t line)
+{
+	(void) cTestService_assertError(expr, file, line);
+}
+
+/*
+ *	エラーコードチェック
+ */
+void
+check_ercd_error(ER ercd, const char *file, int_t line)
+{
+	(void) cTestService_serviceError(ercd, file, line);
+}
+
+/*
+ *	割込み優先度マスクの取得
+ */
+ER
+get_interrupt_priority_mask(PRI *p_ipm)
+{
+	return(cTestService_getInterruptPriorityMask(p_ipm));
+}
Index: EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.cdl	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/syssvc/tTestServiceAdapter.cdl	(revision 429)
@@ -0,0 +1,10 @@
+/*
+ *		C言語で記述されたアプリケーションから，TECSベースのテストプログ
+ *		ラム用サービスを呼び出すためのアダプタ用セルタイプの定義
+ *
+ *  $Id$
+ */
+[singleton, active]
+celltype tTestServiceAdapter {
+	call	sTestService	cTestService;
+};
Index: EcnlProtoTool/trunk/asp3_dcre/syssvc/test_svc.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/syssvc/test_svc.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/syssvc/test_svc.h	(revision 429)
@@ -1,8 +1,7 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -54,66 +53,16 @@
 
 /*
- *  TECSで記述されたテストプログラム用のサービスを直接呼び出すための定義
- *
- *  C言語で記述されたアプリケーションから，TECSで記述されたテストプログ
- *  ラム用のサービスを呼び出すためには，アダプタを用いるのが正当な方法
- *  であるが，テストプログラム用のサービスがシングルトンであることを利
- *  用して直接呼び出す．
+ *  テストプログラム用サービスのサービスコール
  */
-extern void	tTestService_eTestService_start(const char* progname);
-extern void	tTestService_eTestService_setBuiltInTest(void *desc);
-extern void	tTestService_eTestService_checkPoint(uint_t count);
-extern void	tTestService_eTestService_finishPoint(uint_t count);
-extern void	tTestService_eTestService_assertError(const char* expr,
-											const char* file, int_t line);
-extern void	tTestService_eTestService_serviceError(ER ercd,
-											const char* file, int_t line);
-extern ER	tTestService_eTestService_getInterruptPriorityMask(PRI* p_ipm);
-
-/*
- *  テストプログラムの開始
- */
-Inline void
-test_start(const char *progname)
-{
-	tTestService_eTestService_start(progname);
-}
-
-/*
- *	自己診断関数の設定
- */
-Inline void
-set_bit_service(void *bit_service)
-{
-	tTestService_eTestService_setBuiltInTest(bit_service);
-}
-
-/*
- *	チェックポイント
- */
-Inline void
-check_point(uint_t count)
-{
-	tTestService_eTestService_checkPoint(count);
-}
-
-/*
- *	完了チェックポイント
- */
-Inline void
-check_finish(uint_t count)
-{
-	tTestService_eTestService_finishPoint(count);
-}
+extern void	test_start(const char *progname);
+extern void	check_point(uint_t count);
+extern void	check_finish(uint_t count);
+extern void	check_assert_error(const char *expr, const char *file, int_t line);
+extern void	check_ercd_error(ER ercd, const char *file, int_t line);
+extern ER	get_interrupt_priority_mask(PRI *p_ipm);
 
 /*
  *	条件チェック
  */
-Inline void
-check_assert_error(const char *expr, const char *file, int_t line)
-{
-	tTestService_eTestService_assertError(expr, file, line);
-}
-
 #define check_assert(exp) \
 	((void)(!(exp) ? (check_assert_error(#exp, __FILE__, __LINE__), 0) : 0))
@@ -122,10 +71,4 @@
  *	エラーコードチェック
  */
-Inline void
-check_ercd_error(ER ercd, const char *file, int_t line)
-{
-	tTestService_eTestService_serviceError(ercd, file, line);
-}
-
 #define check_ercd(ercd, expected_ercd) \
 	((void)((ercd) != (expected_ercd) ? \
@@ -146,11 +89,11 @@
  *	割込み優先度マスクのチェック
  */
-#define check_ipm(ipm) do {												\
-	PRI		intpri;														\
-	ER		ercd;														\
-																		\
-	ercd = tTestService_eTestService_getInterruptPriorityMask(&intpri);	\
-	check_ercd(ercd, E_OK);												\
-	check_assert(intpri == ipm);										\
+#define check_ipm(ipm) do {							\
+	PRI		intpri;									\
+	ER		ercd;									\
+													\
+	ercd = get_interrupt_priority_mask(&intpri);	\
+	check_ercd(ercd, E_OK);							\
+	check_assert(intpri == ipm);					\
 } while (false);
 
@@ -159,31 +102,3 @@
 #endif
 
-/*
- *  TECSで記述された自己診断サービスを直接呼び出すための定義
- *
- *  C言語で記述されたアプリケーションから，TECSで記述された自己診断サー
- *  ビスを呼び出すためには，アダプタを用いるのが正当な方法であるが，自
- *  己診断サービスがシングルトンであることを利用して直接呼び出す．
- */
-extern ER	tBuiltInTestAdaptor_eGetBuiltInTestDescriptor_getDescriptor
-												(void **p_desc, int_t i);
-
-Inline void *
-get_bit_kernel(void)
-{
-	void	*desc;
-
-	tBuiltInTestAdaptor_eGetBuiltInTestDescriptor_getDescriptor(&desc, 0);
-	return(desc);
-}
-
-Inline void *
-get_bit_mutex(void)
-{
-	void	*desc;
-
-	tBuiltInTestAdaptor_eGetBuiltInTestDescriptor_getDescriptor(&desc, 1);
-	return(desc);
-}
-
 #endif /* TOPPERS_TEST_SVC_H */
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target	(revision 429)
@@ -2,5 +2,5 @@
 #		Makefile のターゲット依存部（GR-PEACH用）
 #
-#  $Id$
+#  $Id: Makefile.target 732 2016-04-03 03:08:05Z ertl-hiro $
 # 
 
@@ -31,7 +31,13 @@
 
 #
-#  MPCoreの種類の定義
+#  FPUサポートとコーリングコンベンション
 #
-MPCORE_TYPE = CA9
+#  FPUを使用する場合は，USE_ARM_FPUをマクロ定義し，使用するコーリング
+#  コンベンションに応じて，-mfloat-abi=softfpまたは-mfloat-abi=hardオ
+#  プションをつける．
+#
+#CDEFS := $(CDEFS) -DUSE_ARM_FPU
+#COPTS := $(COPTS) -mfloat-abi=softfp
+COPTS := $(COPTS) -mfloat-abi=hard
 
 #
@@ -46,5 +52,5 @@
 #
 KERNEL_DIRS := $(KERNEL_DIRS) $(TARGETDIR)
-KERNEL_COBJS := $(KERNEL_COBJS) target_kernel_impl.o core_pl310.o
+KERNEL_COBJS := $(KERNEL_COBJS) target_kernel_impl.o
 KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) target_support.o
 
@@ -55,5 +61,5 @@
 	CDEFS := $(CDEFS) -DTOPPERS_EXECUTE_ON_ROM
 	#LDSCRIPT = $(TARGETDIR)/gr_peach_rom.ld
-	LDSCRIPT = $(SRCDIR)/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/TOOLCHAIN_GCC_ARM/RZA1H.ld
+	LDSCRIPT = $(SRCDIR)/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/TARGET_RZ_A1H/device/TOOLCHAIN_GCC_ARM/RZA1H.ld
 else
 	CDEFS := $(CDEFS) -DTOPPERS_EXECUTE_ON_RAM
@@ -62,19 +68,5 @@
 
 #
-#  GNU開発環境のターゲットアーキテクチャの定義
+#  チップ依存部
 #
-GCC_TARGET = arm-none-eabi
-#GCC_TARGET = arm-atollic-eabi
-
-#
-#  トレースログ記録のサンプルコードに関する定義
-#
-ifeq ($(ENABLE_TRACE),true)
-	COPTS := $(COPTS) -DTOPPERS_ENABLE_TRACE
-	SYSSVC_DIRS := $(SYSSVC_DIRS) $(SRCDIR)/arch/tracelog
-endif
-
-#
-#  チップ依存部のインクルード
-#
-include $(SRCDIR)/arch/arm_gcc/rza1/Makefile.chip
+include $(SRCDIR)/arch/$(CORE)_$(TOOL)/$(CHIP)/Makefile.chip
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.tinet
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.tinet	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.tinet	(revision 429)
@@ -29,5 +29,5 @@
 #   接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
 #  
-#   @(#) $Id$
+#   @(#) $Id: Makefile.tinet,v 1.6 2012/07/18 04:17:01 abe Exp abe $
 #
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c	(revision 429)
@@ -1,5 +1,6 @@
 #include "MBRZA1H.h"
+#include <stdlib.h>
 
-IRQHandler _kernel_inh_table[Renesas_RZ_A1_IRQ_MAX+1];
+IRQHandler _kernel_inh_table[RZ_A1_IRQ_MAX+1];
 uint32_t _kernel_excpt_nest_count = 0;
 
@@ -23,4 +24,5 @@
 {
 }
+
 void _kernel_irq_handler()
 {
@@ -30,2 +32,24 @@
 {
 }
+
+void __libc_init_array()
+{
+}
+
+void *memset(void *dst, int c, size_t size)
+{
+	return NULL;
+}
+
+void *memcpy(void *dst, void * src, size_t size)
+{
+	return NULL;
+}
+
+int main()
+{
+}
+
+void exit(int exitcd)
+{
+}
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach.h	(revision 429)
@@ -1,10 +1,9 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
- *
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
+ * 
  *  Copyright (C) 2011-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
+ * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
  *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
@@ -29,5 +28,5 @@
  *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
  *      免責すること．
- *
+ * 
  *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
  *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
@@ -35,5 +34,6 @@
  *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
  *  の責任を負わない．
- *
+ * 
+ *  $Id$
  */
 
@@ -58,4 +58,9 @@
 
 /*
+ *  ボーレート設定
+ */
+#define UART_BAUDRATE		115200
+
+/*
  *  LEDの点灯／消灯
  */
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_ram.ld
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_ram.ld	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_ram.ld	(revision 429)
@@ -1,7 +1,7 @@
 /*
- *  $Id$
+ *  $Id: gr_peach_ram.ld 720 2016-04-01 22:16:17Z ertl-hiro $
  */
 
-OUTPUT_FORMAT("elf32-littlearm", "elf32-bigarm","elf32-littlearm") 
+OUTPUT_FORMAT("elf32-littlearm", "elf32-bigarm", "elf32-littlearm") 
 OUTPUT_ARCH(arm)
 ENTRY(start);
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_rom.ld
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_rom.ld	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/gr_peach_rom.ld	(revision 429)
@@ -1,7 +1,7 @@
 /*
- *  $Id$
+ *  $Id: gr_peach_rom.ld 720 2016-04-01 22:16:17Z ertl-hiro $
  */
 
-OUTPUT_FORMAT("elf32-littlearm", "elf32-bigarm","elf32-littlearm") 
+OUTPUT_FORMAT("elf32-littlearm", "elf32-bigarm", "elf32-littlearm") 
 OUTPUT_ARCH(arm)
 ENTRY(start);
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -47,13 +47,13 @@
 
 /*
- *  GR-PEACHとRZ/A1に関する定義
+ *  GR-PEACHのハードウェア資源の定義
  */
 import_C("gr_peach.h");
-import_C("rza1.h");
-
-/*
- *  FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドライバ
- */
-import("tSCIF.cdl");
+import_C("device.h");
+
+/*
+ *  シリアルインタフェースドライバのチップ依存部（RZ/A1用）
+ */
+import("tMbedSerial.cdl");
 
 /*
@@ -73,10 +73,4 @@
 	call			sSIOPort	cSIOPort;
 	[inline] entry	siSIOCBR	eiSIOCBR;
-
-	/*
-	 *  割込み要求ライン操作のための結合
-	 */
-	call	sInterruptRequest	cRxInterruptRequest;
-	call	sInterruptRequest	cTxInterruptRequest;
 };
 
@@ -85,5 +79,4 @@
  *  ト）のセルタイプ
  */
-[active]
 composite tSIOPortGRPeach {
 	/*
@@ -97,9 +90,6 @@
 	 */
 	attr {
-		uintptr_t	baseAddress;				/* ベースアドレス */
-		INTNO		rxInterruptNumber;			/* 受信割込み番号 */
-		INTNO		txInterruptNumber;			/* 送信割込み番号 */
-		PRI			isrPriority = 1;			/* ISR優先度 */
-		PRI			interruptPriority = -4;		/* 割込み優先度 */
+		int32_t tx;								/* 送信Pin */
+		int32_t rx;								/* 受信Pin */
 		uint32_t	baudRate = 115200;			/* ボーレートの設定値 */
 	};
@@ -108,6 +98,7 @@
 	 *  SIOドライバ
 	 */
-	cell tSCIF SCIF {
-		baseAddress = composite.baseAddress;
+	cell tMbedSerial MbedSerial {
+		tx          = composite.tx;
+		rx          = composite.rx;
 		baudRate    = composite.baudRate;
 		ciSIOCBR    = SIOPortMain.eiSIOCBR;
@@ -119,35 +110,7 @@
 	cell tSIOPortGRPeachMain SIOPortMain {
 		ciSIOCBR            => composite.ciSIOCBR;
-		cSIOPort            = SCIF.eSIOPort;
-		cRxInterruptRequest = RxInterruptRequest.eInterruptRequest;
-		cTxInterruptRequest = TxInterruptRequest.eInterruptRequest;
+		cSIOPort            = MbedSerial.eSIOPort;
 	};
 	composite.eSIOPort => SIOPortMain.eSIOPort;
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR RxISRInstance {
-		interruptNumber = composite.rxInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiRxISR;
-	};
-	cell tInterruptRequest RxInterruptRequest {
-		interruptNumber   = composite.rxInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR TxISRInstance {
-		interruptNumber = composite.txInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiTxISR;
-	};
-	cell tInterruptRequest TxInterruptRequest {
-		interruptNumber   = composite.txInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
 };
 
@@ -157,13 +120,12 @@
  *  サンプルプログラムが使うポートが，SIOPortTarget1に固定されているた
  *  め，ポート1とポート3を入れ換えている．具体的には，SIOPortTarget1は
- *  SCIFのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
- *  SIOPortTarget3はSCIFのチャネル0につながっている．
+ *  MbedSerialのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
+ *  SIOPortTarget3はMbedSerialのチャネル0につながっている．
  */
 [prototype]
 cell tSIOPortGRPeach SIOPortTarget1 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF2_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF2_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF2_TXI");
+	tx = C_EXP("P6_3");
+	rx = C_EXP("P6_2");
 };
 
@@ -171,7 +133,6 @@
 cell tSIOPortGRPeach SIOPortTarget2 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF1_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF1_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF1_TXI");
+	tx = C_EXP("P2_5");
+	rx = C_EXP("P2_6");
 };
 
@@ -179,7 +140,6 @@
 cell tSIOPortGRPeach SIOPortTarget3 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF0_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF0_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF0_TXI");
+	tx = C_EXP("P4_12");
+	rx = C_EXP("P4_13");
 };
 
@@ -187,7 +147,6 @@
 cell tSIOPortGRPeach SIOPortTarget4 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF3_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF3_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF3_TXI");
+	tx = C_EXP("P2_14");
+	rx = C_EXP("P2_15");
 };
 
@@ -195,7 +154,6 @@
 cell tSIOPortGRPeach SIOPortTarget5 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF4_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF4_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF4_TXI");
+	tx = C_EXP("P4_14");
+	rx = C_EXP("P4_15");
 };
 
@@ -203,7 +161,6 @@
 cell tSIOPortGRPeach SIOPortTarget6 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF5_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF5_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF5_TXI");
+	tx = C_EXP("P5_3");
+	rx = C_EXP("P5_4");
 };
 
@@ -211,7 +168,6 @@
 cell tSIOPortGRPeach SIOPortTarget7 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF6_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF6_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF6_TXI");
+	tx = C_EXP("P8_8");
+	rx = C_EXP("P8_9");
 };
 
@@ -219,6 +175,54 @@
 cell tSIOPortGRPeach SIOPortTarget8 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF7_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF7_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF7_TXI");
-};
+	tx = C_EXP("P5_0");
+	rx = C_EXP("P5_1");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget9 {
+	/* 属性の設定 */
+	tx = C_EXP("P8_14");
+	rx = C_EXP("P8_15");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget10 {
+	/* 属性の設定 */
+	tx = C_EXP("P8_13");
+	rx = C_EXP("P8_11");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget11 {
+	/* 属性の設定 */
+	tx = C_EXP("P11_10");
+	rx = C_EXP("P11_11");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget12 {
+	/* 属性の設定 */
+	tx = C_EXP("P6_6");
+	rx = C_EXP("P6_7");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget13 {
+	/* 属性の設定 */
+	tx = C_EXP("P5_6");
+	rx = C_EXP("P5_7");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget14 {
+	/* 属性の設定 */
+	tx = C_EXP("P11_1");
+	rx = C_EXP("P11_2");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget15 {
+	/* 属性の設定 */
+	tx = C_EXP("P7_4");
+	rx = C_EXP("P7_5");
+};
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h	(revision 429)
@@ -57,10 +57,4 @@
 	 */
 	cSIOPort_open();
-
-	/*
-	 *  SIOの割込みマスクを解除する．
-	 */
-	cRxInterruptRequest_enable();
-	cTxInterruptRequest_enable();
 }
 
@@ -77,10 +71,4 @@
 	 */
 	cSIOPort_close();
-
-	/*
-	 *  SIOの割込みをマスクする．
-	 */
-	cRxInterruptRequest_disable();
-	cTxInterruptRequest_disable();
 }
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target.cdl	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target.cdl	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2015 by Ushio Laboratory
  *              Graduate School of Engineering Science, Osaka Univ., JAPAN
- *  Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -42,4 +42,8 @@
 
 /*
+ *		コンポーネント記述ファイルのターゲット依存部（GR-PEACH用）
+ */
+
+/*
  *  タスクのスタックサイズのデフォルト
  */
@@ -60,5 +64,5 @@
  *  ターゲット依存のセルタイプの定義
  */
-import("tPutLogGRPeach.cdl");
+import("syssvc/tPutLogSIOPort.cdl");
 import("tSIOPortGRPeach.cdl");
 
@@ -72,5 +76,5 @@
  *  低レベル出力の組み上げ記述
  */
-cell tPutLogGRPeach PutLogTarget {
+cell tPutLogSIOPort PutLogTarget {
 	/* SIOドライバとの結合 */
 	cSIOPort = SIOPortTarget1.eSIOPort;
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_check.trb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_check.trb	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_check.trb	(revision 429)
@@ -1,5 +1,7 @@
 # -*- coding: utf-8 -*-
 #
-#		パス3の生成スクリプトのターゲット依存部（GR-PEACH用）
+#		パス3の生成スクリプトのターゲット依存部
+#
+#  $Id: target_check.trb 1071 2018-11-25 01:27:37Z ertl-hiro $
 #
 
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.cfg
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.cfg	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.cfg	(revision 429)
@@ -4,3 +4,3 @@
  *  $Id$
  */
-INCLUDE("target_timer.cfg")
+INCLUDE("target_timer.cfg");
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.h	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.h	(revision 429)
@@ -1,42 +1,2 @@
-/*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
- *
- *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
- *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *
- *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
- *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
- *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
- *      スコード中に含まれていること．
- *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
- *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
- *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
- *      の無保証規定を掲載すること．
- *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
- *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
- *      と．
- *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
- *        作権表示，この利用条件および下記の無保証規定を掲載すること．
- *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
- *        報告すること．
- *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
- *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
- *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
- *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
- *      免責すること．
- *
- *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- *  の責任を負わない．
- *
- *  $Id$
- */
-
 /*
  *		kernel.hのターゲット依存部（GR-PEACH用）
@@ -45,8 +5,33 @@
  *  から直接インクルードすることはない．このファイルをインクルードする
  *  前に，t_stddef.hがインクルードされるので，それに依存してもよい．
+ * 
+ *  $Id$
  */
 
 #ifndef TOPPERS_TARGET_KERNEL_H
 #define TOPPERS_TARGET_KERNEL_H
+
+/*
+ *  高分解能タイマのタイマ周期
+ *
+ *  2^32 / 33.33…を丸めた値とする．
+ */
+#define TCYC_HRTCNT		128849019U
+
+/*
+ *  高分解能タイマのカウント値の進み幅
+ */
+#define TSTEP_HRTCNT	1U
+
+/*
+ *  オーバランハンドラの残りプロセッサ時間に指定できる最大値
+ *
+ *  この値をOSタイマへの設定値に変換してタイマに設定した後，タイマの現
+ *  在値を読み出してμ秒単位に変換できる値としている．タイマの現在値を
+ *  μ秒単位に変換する時に34を加えるため，以下の条件を満たす最大の値と
+ *  する．
+ *		(TMAX_OVRTIM * 33 + TMAX_OVRTIM / 3 + 1) + 34 < 2^32
+ */
+#define TMAX_OVRTIM		128849017U
 
 /*
Index: EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.trb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.trb	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel.trb	(revision 429)
@@ -1,5 +1,7 @@
 # -*- coding: utf-8 -*-
 #
-#		パス2の生成スクリプトのターゲット依存部（GR-PEACH用）
+#		パス2の生成スクリプトのターゲット依存部
+#
+#  $Id: target_kernel.trb 1071 2018-11-25 01:27:37Z ertl-hiro $
 #
 
@@ -7,3 +9,3 @@
 #  生成スクリプトのチップ依存部
 #
-IncludeTrb("chip_kernel.trb")
+IncludeTrb("chip_kernel.trb");
